-- FirstStage generated output file
require( "scripts/style.lua" );

SetDefaultStyle( DefaultStyle );

local accept_button_label ="ok" ;	
local accept_button_name="OK";

MakeDialog
{
	Bitmap
	{
			image = "backgrounds/speedmenu",
			name = "shop_background",
			x = kCenter,
			y = kCenter,

      ShopDialog
      {
		object_name = gDialogTable.body;
	  
	    name = "ShopDialog",
        x = 0,
        y = 0,
        w = kMax,
        h = kMax,
  		SetStyle( OptionsValidationButtonStyle ),
		Button
		{
			close = true,
			flags = 5,
			label = "ok",
			name = "OK",
			x = kCenter,
			y = kMax-90,
		},
		Bitmap
		{
			image = "backgrounds/dialog/vignette_madame",
			name = "image_pouf",
			x = kCenter-275,
			y = kCenter-5,
		},

		SetStyle( DialogTitleText ),
		Text{ name = "title",label=gDialogTable.body },
		SetStyle( DialogBodyText ),
		Text
		{
			name = "text",
			x = 170,
			y = 80,
			w = 741 - 220 ,
			h = 341 - 170,
			label = "",			
		},
       },
	},
}

gDialogTable = {}
